Subject: Re: Build failure on treeboot-walnut.cg

From: David Gibson <[email-masked]>
Date: Tue, 9 Oct 2007 13:07:29 +1000

On Mon, Oct 08, 2007 at 04:33:24PM -0500, Timur Tabi wrote:
> Looks like the problem is back:
> 
>    BOOTCC  arch/powerpc/boot/treeboot-walnut.o
> Assembler messages:
> Error: Internal assembler error for instruction icbt
> Internal error, aborting at 
> /tmp/crosstool/crosstool-0.42/build/powerpc-unknown-linux-gnu/gcc-4.0.2_e300-enabled-glibc-2.3.6/binutils-2.16.1-complete/gas/config/tc-ppc.c 
> line 1314 in ppc_setup_opcodes
> Please report this bug.
> make[1]: *** [arch/powerpc/boot/treeboot-walnut.o] Error 2
> make: *** [uImage] Error 2

I thought that got fixed already, did the CFLAGS override fall out
somehow?

> Question: I'm building a kernel for the 8610.  Why is treeboot-walnut.c being 
> compiled at all?

Policy.  Compiling everything means build bugs - like this one - can
be found by everybody, not just those building for the specific
obscure platform.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson